# Changelog

STL: Statique Littérateur
- Repository: https://git.a-lec.org/echolib/stl
- Issues:     https://git.a-lec.org/echolib/stl/-/issues
- Changelog:  https://git.a-lec.org/echolib/stl/-/blob/main/CHANGELOG.md
- License:    https://git.a-lec.org/echolib/stl/-/blob/main/LICENSE

## [0.2.11]
### publish
- ensure basis directories (files,images,template) are created


## [0.2.10]
### read
- Better read option + autocompletion

### db
- added to autocompletion
- new option: sidebar. to check all article's sort from sidebar


## [0.2.9]
- fix a bug in log when using remove wip,www (ARTICLE)
- other little corrections


## [0.2.8]
### check
- fix: new display message if db exists
- added option: all (update all checked articles' database. Show logs)

### domain
- changes in getting domain process

### publish (! sync argument becomes publish)
- Arguments: (ARTICLE), all. From wip/ to www/ folder
- new files copy (used by (ARTICLE))

### wip, www
- new option: remove (ARTICLE)

### wip
- new files copy (used by (ARTICLE)) to wip/ (including .stl source)

### sidebar
- type: stl sidebar load
- - create static file stl.sidebar in articles/sidebar/ (if not exists)
- - create HTML sidebar according to URI's articles in stl.sidebar
- new code to take this new feature compatible with legacy command

### edit, read
- added option: sidebar (to edit,read static file stl.sidebar)

### Logs
- Better harmony
- new publish, and remove display (also for files in article when needed)
- new set hash status display
- new per article logs
- new option: clean all. Remove all logs

### Stats
- file is now created in wip/ when publish, and copied to www/

### Autocompletion
- most of all arguments and options can be autocompleted

### update
- update domain configuration file + all checked articles' database

### /!\ IMPORTANT NOTE /!\
- After installing this version, do: stl update


## [0.2.7]
### WIP
- corrected a bug with nginx/apache refusing to access "../"


## [0.2.6]
### DB
- set some variables ouside of cat

### Logs
- no more all article logs shown if check already done


## [0.2.5]
### WIP
- fix: sidebar uri

# IMPORTANT NOTE
You will have to wip -F again, to construct again your HTML pages, so
that URI sidebar can be reached


## [0.2.4]
### WIP
- fix: uri to access template folder (favicon, styles.css...)

# IMPORTANT NOTE
You will have to check -F all your articles, before doing their wip -F

Tips: You could first, remove all files in /var/www/DOMAIN/wip/ and all
filees in "files", "images", and "template" folders, but keep these
folders.


## [0.2.3]
### Checker
- Date when day and/or month begin with 0
- new: content image syntax

### WIP
- fix: file .html generator (root server file)
- rsync: exclude hidden files

### read (argument)
- Fix: exit
- add: line number to article

### IMPORTANT NOTE
You will have to check -F all your articles, before doing their wip -F

Tips: You could first, remove all files in /var/www/DOMAIN/wip/ and all
filees in "files", "images", and "template" folders, but keep these
folders.


## [0.2.2]
### Added
#### Domain Configuration
- More infos at resume
- New simple check for mail and lang
- Answer y is equal to Y...
- Domain values can have " for sidebar title, about, title and copyright


## [0.2.1]
### Added
#### Changeslogs
- CHANGELOG.md
- last-version.md in help folder (for -v and -u arguments)

#### Arguments
- - -v: Show installed version and last changes
- - -u: Check for available update and show last changes
- - -U: like -u, but ask to perform upgrade (except for debian based)
- - --help: like help, -h
- - license: show STL license

#### Dependancies
- curl

#### Article
- Check article size (must be > 60 to be checked)

#### DB
- db (ARTICLE): Inform if article is not in Database yet
